var canvas = document.getElementById("stage");
if (canvas && canvas.getContext && canvas.getContext("2d")) {
	var deviceBackingRatio, ctx = canvas.getContext("2d"),
		spinner = APP.Spinner({
			canvas: canvas,
			sheet: "https://s3.amazonaws.com/coke-teens-loader/img/coke_white.png",
			bottleColor: "#e41e2b"
		});

	function init() {
		requestAnimationFrame(draw);
		if (typeof ctx === "undefined") deviceBackingRatio = 1;
		else {
			var val, devicePixelRatio = window.devicePixelRatio || 1,
				backingStoreRatio = ctx.webkitBackingStorePixelRatio || ctx.mozBackingStorePixelRatio || ctx.msBackingStorePixelRatio || ctx.oBackingStorePixelRatio || ctx.backingStorePixelRatio ||
					1;
			val = devicePixelRatio / backingStoreRatio;
			deviceBackingRatio = val >= 2 ? 2 : 1
		}
	}

	function draw() {
		if (!Ahh6.loaded) {
			requestAnimationFrame(draw);
			ctx.clearRect(0, 0, canvas.width, canvas.height);
			spinner.draw()
		}
	}

	function resizeCanvas(w, h) {
		canvas.height = h * deviceBackingRatio;
		if (deviceBackingRatio > 1) canvas.width = w * deviceBackingRatio - 1;
		else canvas.width = w;
		canvas.style.height = h + "px";
		canvas.style.width = w + "px";
		ctx.scale(deviceBackingRatio, deviceBackingRatio);
		spinner.x = w / 2 - spinner.width / 2;
		spinner.y = h / 2 - spinner.height / 2
	}
	window.onresize = function() {
		resizeCanvas(window.innerWidth, window.innerHeight)
	};
	init();
	resizeCanvas(window.innerWidth, window.innerHeight+60);
	spinner.start();
};